// Include the AccelStepper Library
#include <AccelStepper.h>

//Control Parameters

//Linear Control
int MaxSpeedX = 1000; //Max Speed: 0-1000
int SpeedX = 1000; //Min Speed: 0-1000
int AccelerationX = 100; //Acceleration 0-100 NO GREATER
float PositionX = 22; //0-22 in Inches; Positive: Left, Negative: Right

//Axial Control
int SpeedY = 15; //10-50
int AccelerationY = 100; //acceleration 0-25
float AngleY = 90; // degrees from 0-180


//DO NOT TOUCH BELOW


// Define pin connections
const int dirPinX = 5;
const int stepPinX = 2;

const int dirPinY = 6;
const int stepPinY = 3;

// Define motor interface type
#define motorInterfaceType 1

// Creates an instance
AccelStepper StepperX(motorInterfaceType, stepPinX, dirPinX);
AccelStepper StepperY(motorInterfaceType, stepPinY, dirPinY);

void setup() {

  PositionX = (PositionX * 950.0/22.0);

  StepperX.setMaxSpeed(MaxSpeedX);
  StepperX.setAcceleration(AccelerationX);
  StepperX.setSpeed(SpeedX); //inital speed
  StepperX.moveTo(PositionX); //target pos 0-950


  AngleY = (100.0/180.0 * AngleY); //Degrees to position
  
  StepperY.setMaxSpeed(SpeedY);
  StepperY.setAcceleration(AccelerationY); 
  StepperY.setSpeed(SpeedY);
  StepperY.moveTo(AngleY); //target pos 0-100
}

void loop() {
  // Moves Both Steppers
  StepperX.run();
  StepperY.run();
}
